GET V1/Notification.{ext}/Notifications?notificationId={notificationId}¬ificationDetId={notificationDetId}&pageIndex={pageIndex}&pageSize={pageSize}
Get Notifications
Optional Fields: notificationId, notificationDetId, pageIndex, pageSize
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| notificationId |
System Generated Notification Id |
integer |
Default value is 0 |
| notificationDetId |
System Generated Notification Detail Id |
integer |
Default value is 0 |
| pageIndex |
Indicates how many records to skip |
integer |
Default value is 0 |
| pageSize |
Indicates number of records to be returned |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Payments.Entities.Notifications| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.Notifications |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "Notifications",
"response": {
"notificationsList": [
{
"notificationDetId": 1,
"notificationId": 2,
"notificationType": "sample string 3",
"notificationName": "sample string 4",
"emailSubject": "sample string 5",
"eMailBody": "sample string 6",
"displayFlag": true,
"greeting": "sample string 8",
"signature": "sample string 9"
},
{
"notificationDetId": 1,
"notificationId": 2,
"notificationType": "sample string 3",
"notificationName": "sample string 4",
"emailSubject": "sample string 5",
"eMailBody": "sample string 6",
"displayFlag": true,
"greeting": "sample string 8",
"signature": "sample string 9"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.